- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
PathDumper< GR >::RevArcIt Class Reference

## Detailed Description

### template<typename GR>
class lemon::concepts::PathDumper< GR >::RevArcIt

LEMON style iterator class for enumerating the arcs of a path in reverse direction.

`#include <lemon/concepts/path.h>`

## Public Member Functions
| RevArcIt ()
| Default constructor.
| RevArcIt (Invalid)
| Invalid constructor.
| RevArcIt (const PathDumper &)
| Sets the iterator to the last arc of the given path.
| operator Arc () const
| Conversion to `Arc`.
RevArcIt & | operator++ ()
| Next arc.
bool | operator== (const RevArcIt &) const
| Comparison operator.
bool | operator!= (const RevArcIt &) const
| Comparison operator.
bool | operator< (const RevArcIt &) const
| Comparison operator.